﻿/* Animated Gradient Background */
.hamburger {
    cursor: pointer !important;
    display: inline-grid;
    justify-content: center;
    width: 50px;
    padding: 6px 5px 5px 5px;
    border: none;
    transform: scale(0.9)
}

    .hamburger:hover {
    }

        .hamburger:hover span {
        }

    .hamburger.open span {
        transform: translateX(0) !important;
    }

    .hamburger span {
        display: block;
        margin-bottom: 4px;
        width: 25px;
        height: 3px;
        border-radius: 100px;
        background-color: black;
        transition: 1s linear( 0, 0.004, 0.016, 0.035, 0.063, 0.098, 0.141 23.6%, 0.25, 0.391, 0.563, 0.765, 1, 0.891 40.9%, 0.848, 0.813, 0.785, 0.766, 0.754, 0.75, 0.754, 0.766, 0.785, 0.813, 0.848, 0.891 68.2%, 1 72.7%, 0.973, 0.953, 0.941, 0.938, 0.941, 0.953, 0.973, 1, 0.988, 0.984, 0.988, 1 );
    }

        .hamburger span:nth-child(0) {
            transform: translateX(-4px);
        }

        .hamburger span:nth-child(1) {
            transform: translateX(4px);
        }

        .hamburger span:nth-child(2) {
            transform: translateX(-4px);
        }

        .hamburger span:nth-child(4) {
            transform: translateX(-4px);
        }

main {
    /*transition: all 0.5s ease, transform 2s cubic-bezier(.65,.2,.11,.58);*/
    transition: all 1s ease 0.1s, transform 1s cubic-bezier(.65,.10,.11,.58);
}

    main.open {
        transform: translateY(5px);
        opacity: 0.2;
       /* transition: all 1.8s ease 0.2s, transform 1s cubic-bezier(.65,.10,.11,.58);*/
    }

/* Mouse glow */
.mouse-glow { 
    overflow: hidden;
    position: absolute; 
    z-index: -1;
    pointer-events: none !important;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    overflow: hidden;
}

    .mouse-glow span {
        --Timing: 0.25s;
        top: -400px;
        left: -400px;
        height: 600px;
        width: 600px;
        border-radius: 100%;
        background-color: white;
        position: absolute;
        transition: top var(--Timing) ease-out, left var(--Timing) ease-out;
        filter: blur(90px);
        opacity: 0.5;
    }


/* Animated Gradient Background */
.bg-gradient-anime {
    --y-0: 94%;
    --c-0: hsla(228.96, 57%, 42%, 1);
    --x-0: 46%;
    --y-1: 8%;
    --x-1: 89%;
    --c-1: hsla(228.96, 0%, 0%, 1);
    --c-2: hsla(236, 100%, 23%, 1);
    --x-2: 93%;
    --y-2: 95%;
    min-height: 100vh;
    background-color: hsla(229.83870967741936, 59%, 41%, 1);
    background-image: radial-gradient(circle at var(--x-0) var(--y-0), var(--c-0) var(--s-start-0), transparent var(--s-end-0)), radial-gradient(circle at var(--x-1) var(--y-1), var(--c-1) var(--s-start-1), transparent var(--s-end-1)), radial-gradient(circle at var(--x-2) var(--y-2), var(--c-2) var(--s-start-2), transparent var(--s-end-2));
    animation: hero-gradient-animation 6s linear infinite alternate-reverse;
    background-blend-mode: normal, normal, lighten;
}


@keyframes hero-gradient-animation {
    0% {
        --y-0: 94%;
        --c-0: hsla(228.96, 57%, 42%, 1);
        --s-start-0: 0%;
        --s-end-0: 81%;
        --x-0: 46%;
        --y-1: 8%;
        --s-start-1: 71%;
        --s-end-1: 97%;
        --x-1: 89%;
        --c-1: hsla(228.96, 0%, 0%, 1);
        --c-2: hsla(236, 100%, 23%, 1);
        --x-2: 93%;
        --s-start-2: 0%;
        --s-end-2: 66%;
        --y-2: 95%;
    }

    100% {
        --y-0: 88%;
        --c-0: hsla(227.55555555555554, 62%, 42%, 1);
        --s-start-0: 12;
        --s-end-0: 77;
        --x-0: 47%;
        --y-1: 8%;
        --s-start-1: 0%;
        --s-end-1: 53%;
        --x-1: 19%;
        --c-1: hsla(206, 100%, 9%, 1);
        --c-2: hsla(236, 100%, 23%, 1);
        --x-2: 74%;
        --s-start-2: 12;
        --s-end-2: 77;
        --y-2: 3%;
    }
}

@property --y-0 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 94%
}

@property --c-0 {
    syntax: '<color>';
    inherits: false;
    initial-value: hsla(228.96, 57%, 42%, 1)
}

@property --s-start-0 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 0%
}

@property --s-end-0 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 81%
}

@property --x-0 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 46%
}

@property --y-1 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 8%
}

@property --s-start-1 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 71%
}

@property --s-end-1 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 97%
}

@property --x-1 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 89%
}

@property --c-1 {
    syntax: '<color>';
    inherits: false;
    initial-value: hsla(228.96, 0%, 0%, 1)
}

@property --c-2 {
    syntax: '<color>';
    inherits: false;
    initial-value: hsla(236, 100%, 23%, 1)
}

@property --x-2 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 93%
}

@property --s-start-2 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 0%
}

@property --s-end-2 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 66%
}

@property --y-2 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 95%
}


/* Animated Gradient Background */
.bg-mesh-anime {
    --c-0: hsla(215, 75%, 25%, 1);
    --x-0: 4%;
    --y-0: 3%;
    --c-1: hsla(238.00000000000009, 64%, 47%, 1);
    --x-1: 61%;
    --y-1: 29%;
    --c-2: hsla(236, 63%, 60%, 1);
    --x-2: 30%;
    --y-2: 6%;
    --c-3: hsla(235, 92%, 39%, 1);
    --x-3: 90%;
    --y-3: 32%;
    --c-4: hsla(244, 66%, 43%, 1);
    --x-4: 1%;
    --y-4: 97%;
    --c-5: hsla(253, 98%, 28%, 1);
    --x-5: 80%;
    --y-5: 57%;
    --c-6: hsla(213, 67%, 40%, 1);
    --x-6: 79%;
    --y-6: 23%;
    --c-7: hsla(227.00000000000003, 76%, 34%, 1);
    --x-7: 14%;
    --y-7: 85%;
    --c-8: hsla(221, 97%, 28%, 1);
    --x-8: 69%;
    --y-8: 71%;
    --c-9: hsla(244, 63%, 54%, 1);
    --x-9: 63%;
    --y-9: 67%;
    background-color: hsla(247, 78%, 56%, 1);
    background-image: radial-gradient(circle at var(--x-0) var(--y-0), var(--c-0) var(--s-start-0), transparent var(--s-end-0)), radial-gradient(circle at var(--x-1) var(--y-1), var(--c-1) var(--s-start-1), transparent var(--s-end-1)), radial-gradient(circle at var(--x-2) var(--y-2), var(--c-2) var(--s-start-2), transparent var(--s-end-2)), radial-gradient(circle at var(--x-3) var(--y-3), var(--c-3) var(--s-start-3), transparent var(--s-end-3)), radial-gradient(circle at var(--x-4) var(--y-4), var(--c-4) var(--s-start-4), transparent var(--s-end-4)), radial-gradient(circle at var(--x-5) var(--y-5), var(--c-5) var(--s-start-5), transparent var(--s-end-5)), radial-gradient(circle at var(--x-6) var(--y-6), var(--c-6) var(--s-start-6), transparent var(--s-end-6)), radial-gradient(circle at var(--x-7) var(--y-7), var(--c-7) var(--s-start-7), transparent var(--s-end-7)), radial-gradient(circle at var(--x-8) var(--y-8), var(--c-8) var(--s-start-8), transparent var(--s-end-8)), radial-gradient(circle at var(--x-9) var(--y-9), var(--c-9) var(--s-start-9), transparent var(--s-end-9));
    animation: hero-gradient-animation 10s ease-in-out infinite alternate;
    background-blend-mode: normal;
    animation-play-state: paused;
    transition: animation-play-state 0.2s ease;
    border-radius: 20px;
}

    .bg-mesh-anime:hover {
        animation-play-state: running;
    }




@keyframes hero-gradient-animation {
    0% {
        --c-0: hsla(215, 75%, 25%, 1);
        --x-0: 4%;
        --y-0: 3%;
        --s-start-0: 5%;
        --s-end-0: 52%;
        --c-1: hsla(238.00000000000009, 64%, 47%, 1);
        --x-1: 61%;
        --y-1: 29%;
        --s-start-1: 5%;
        --s-end-1: 52%;
        --c-2: hsla(236, 63%, 60%, 1);
        --x-2: 30%;
        --y-2: 6%;
        --s-start-2: 5%;
        --s-end-2: 52%;
        --c-3: hsla(235, 92%, 39%, 1);
        --x-3: 90%;
        --y-3: 32%;
        --s-start-3: 5%;
        --s-end-3: 52%;
        --c-4: hsla(244, 66%, 43%, 1);
        --x-4: 1%;
        --y-4: 97%;
        --s-start-4: 5%;
        --s-end-4: 52%;
        --c-5: hsla(253, 98%, 28%, 1);
        --x-5: 80%;
        --y-5: 57%;
        --s-start-5: 5%;
        --s-end-5: 52%;
        --c-6: hsla(213, 67%, 40%, 1);
        --x-6: 79%;
        --y-6: 23%;
        --s-start-6: 5%;
        --s-end-6: 52%;
        --c-7: hsla(227.00000000000003, 76%, 34%, 1);
        --x-7: 14%;
        --y-7: 85%;
        --s-start-7: 5%;
        --s-end-7: 52%;
        --c-8: hsla(221, 97%, 28%, 1);
        --x-8: 69%;
        --y-8: 71%;
        --s-start-8: 5%;
        --s-end-8: 52%;
        --c-9: hsla(244, 63%, 54%, 1);
        --x-9: 63%;
        --y-9: 67%;
        --s-start-9: 5%;
        --s-end-9: 52%;
    }

    50% {
        --c-0: hsla(242, 87%, 43%, 1);
        --x-0: 24%;
        --y-0: 78%;
        --s-start-0: 5%;
        --s-end-0: 52%;
        --c-1: hsla(244, 73%, 37%, 1);
        --x-1: 95%;
        --y-1: 66%;
        --s-start-1: 5%;
        --s-end-1: 52%;
        --c-2: hsla(251, 97%, 47%, 1);
        --x-2: 66%;
        --y-2: 43%;
        --s-start-2: 5%;
        --s-end-2: 52%;
        --c-3: hsla(237, 94%, 41%, 1);
        --x-3: 14%;
        --y-3: 16%;
        --s-start-3: 5%;
        --s-end-3: 52%;
        --c-4: hsla(223, 83%, 26%, 1);
        --x-4: 49%;
        --y-4: 73%;
        --s-start-4: 5%;
        --s-end-4: 52%;
        --c-5: hsla(250, 85%, 41%, 1);
        --x-5: 16%;
        --y-5: 45%;
        --s-start-5: 5%;
        --s-end-5: 52%;
        --c-6: hsla(227, 69%, 31%, 1);
        --x-6: 74%;
        --y-6: 41%;
        --s-start-6: 5%;
        --s-end-6: 52%;
        --c-7: hsla(212, 65%, 21%, 1);
        --x-7: 19%;
        --y-7: 11%;
        --s-start-7: 5%;
        --s-end-7: 52%;
        --c-8: hsla(255, 61%, 22%, 1);
        --x-8: 3%;
        --y-8: 34%;
        --s-start-8: 5%;
        --s-end-8: 52%;
        --c-9: hsla(212, 100%, 51%, 1);
        --x-9: 89%;
        --y-9: 6%;
        --s-start-9: 5%;
        --s-end-9: 52%;
    }

    100% {
        --c-0: hsla(226, 90%, 56%, 1);
        --x-0: 97%;
        --y-0: 3%;
        --s-start-0: 5%;
        --s-end-0: 52%;
        --c-1: hsla(242, 92%, 52%, 1);
        --x-1: 89%;
        --y-1: 35%;
        --s-start-1: 5%;
        --s-end-1: 52%;
        --c-2: hsla(210, 98%, 18%, 1);
        --x-2: 63%;
        --y-2: 13%;
        --s-start-2: 5%;
        --s-end-2: 52%;
        --c-3: hsla(231, 98%, 24%, 1);
        --x-3: 63%;
        --y-3: 65%;
        --s-start-3: 5%;
        --s-end-3: 52%;
        --c-4: hsla(246, 80%, 51%, 1);
        --x-4: 74%;
        --y-4: 58%;
        --s-start-4: 5%;
        --s-end-4: 52%;
        --c-5: hsla(209.00000000000003, 19%, 48%, 1);
        --x-5: 61%;
        --y-5: 43%;
        --s-start-5: 5%;
        --s-end-5: 52%;
        --c-6: hsla(252, 85%, 19%, 1);
        --x-6: 41%;
        --y-6: 58%;
        --s-start-6: 5%;
        --s-end-6: 52%;
        --c-7: hsla(252, 75%, 34%, 1);
        --x-7: 78%;
        --y-7: 74%;
        --s-start-7: 5%;
        --s-end-7: 52%;
        --c-8: hsla(233, 100%, 29%, 1);
        --x-8: 49%;
        --y-8: 88%;
        --s-start-8: 5%;
        --s-end-8: 52%;
        --c-9: hsla(235, 74%, 38%, 1);
        --x-9: 82%;
        --y-9: 6%;
        --s-start-9: 5%;
        --s-end-9: 52%;
    }
}

@property --c-0 {
    syntax: '<color>';
    inherits: false;
    initial-value: hsla(215, 75%, 25%, 1)
}

@property --x-0 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 4%
}

@property --y-0 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 3%
}

@property --s-start-0 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 5%
}

@property --s-end-0 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 52%
}

@property --c-1 {
    syntax: '<color>';
    inherits: false;
    initial-value: hsla(238.00000000000009, 64%, 47%, 1)
}

@property --x-1 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 61%
}

@property --y-1 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 29%
}

@property --s-start-1 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 5%
}

@property --s-end-1 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 52%
}

@property --c-2 {
    syntax: '<color>';
    inherits: false;
    initial-value: hsla(236, 63%, 60%, 1)
}

@property --x-2 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 30%
}

@property --y-2 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 6%
}

@property --s-start-2 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 5%
}

@property --s-end-2 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 52%
}

@property --c-3 {
    syntax: '<color>';
    inherits: false;
    initial-value: hsla(235, 92%, 39%, 1)
}

@property --x-3 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 90%
}

@property --y-3 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 32%
}

@property --s-start-3 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 5%
}

@property --s-end-3 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 52%
}

@property --c-4 {
    syntax: '<color>';
    inherits: false;
    initial-value: hsla(244, 66%, 43%, 1)
}

@property --x-4 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 1%
}

@property --y-4 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 97%
}

@property --s-start-4 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 5%
}

@property --s-end-4 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 52%
}

@property --c-5 {
    syntax: '<color>';
    inherits: false;
    initial-value: hsla(253, 98%, 28%, 1)
}

@property --x-5 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 80%
}

@property --y-5 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 57%
}

@property --s-start-5 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 5%
}

@property --s-end-5 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 52%
}

@property --c-6 {
    syntax: '<color>';
    inherits: false;
    initial-value: hsla(213, 67%, 40%, 1)
}

@property --x-6 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 79%
}

@property --y-6 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 23%
}

@property --s-start-6 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 5%
}

@property --s-end-6 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 52%
}

@property --c-7 {
    syntax: '<color>';
    inherits: false;
    initial-value: hsla(227.00000000000003, 76%, 34%, 1)
}

@property --x-7 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 14%
}

@property --y-7 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 85%
}

@property --s-start-7 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 5%
}

@property --s-end-7 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 52%
}

@property --c-8 {
    syntax: '<color>';
    inherits: false;
    initial-value: hsla(221, 97%, 28%, 1)
}

@property --x-8 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 69%
}

@property --y-8 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 71%
}

@property --s-start-8 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 5%
}

@property --s-end-8 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 52%
}

@property --c-9 {
    syntax: '<color>';
    inherits: false;
    initial-value: hsla(244, 63%, 54%, 1)
}

@property --x-9 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 63%
}

@property --y-9 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 67%
}

@property --s-start-9 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 5%
}

@property --s-end-9 {
    syntax: '<percentage>';
    inherits: false;
    initial-value: 52%
} 